Skip to main content
GET
/
usage_records
List usage records
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/usage_records \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "<id>",
      "object": "usage_record",
      "data": {
        "company": {
          "id": "<id>",
          "object": "company",
          "links": {
            "self": "/companies/<id>"
          }
        },
        "event": "employee_paid",
        "record": {
          "id": "<id>",
          "object": "pay_stub",
          "links": {
            "self": "/pay_stubs/fake-id"
          }
        },
        "recorded_at": "2026-01-01 00:00:00",
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/usage_records/<id>"
      }
    }
  ],
  "links": {
    "first": "/usage_records?page=1",
    "last": "/usage_records?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 1,
    "has_more": false
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

OK

object
string
read-only

The type of the object in Nmbr ("list").

data
object[]